Skip to main content
Version: API v1

Spezifischen cronjob eines Accounts auslesen

GET/v1/accounts/{accountIdentifier}/cronjobs/{cronjobIdentifier}
API version
v1
Request method
GET
Operation ID
getCronjob

Diese Operation liest einen spezifischen Cronjob eines Accounts aus

Request​

  • accountIdentifierstringrequired

    Name oder ID eines Accounts

  • cronjobIdentifierstringrequired

    ID eines Cronjobs

Responses​

Format
application/json
Description

Der angeforderte Cronjob

  • uidintegerrequired
  • namestringrequired
  • enabledbooleanrequired
  • errorReportingstring (one of: NONE, MAIL_ON_FAILURE, MAIL)required
  • errorReportingEmailstringrequired
  • customTimeoutModenumber (one of: 0, 1)required

    Whether a custom timeout is set

  • customTimeoutValuenumber

    Amount of custom timeout

  • typestring (one of: SERVER, BROWSER, INTERPRETER)required

    Type of cronjob (server based, browser based, custom interpreter)

  • intervalarray of stringrequired

    Crontab interval

    • Array[
      • *string
      ]
  • statusnumberrequired
  • filestring
  • paramsstring
  • urlstring
  • interpreterobject
    • hiddenbooleanrequired
    • namestringrequired
    • typestringrequired
    • uidnumberrequired
Content-Type: application/json

{
"uid": 123,
"name": "string",
"enabled": true,
"errorReporting": "NONE",
"errorReportingEmail": "string",
"customTimeoutMode": 123,
"customTimeoutValue": 123,
"type": "SERVER",
"interval": [
"string"
],
"status": 123,
"file": "string",
"params": "string",
"url": "string",
"interpreter": {
"hidden": true,
"name": "string",
"type": "string",
"uid": 123
}
}
{
"title": "Cronjob",
"type": "object",
"required": [
"uid",
"name",
"enabled",
"errorReporting",
"errorReportingEmail",
"customTimeoutMode",
"type",
"interval",
"status"
],
"properties": {
"uid": {
"type": "integer"
},
"name": {
"type": "string"
},
"enabled": {
"type": "boolean"
},
"errorReporting": {
"type": "string",
"enum": [
"NONE",
"MAIL_ON_FAILURE",
"MAIL"
]
},
"errorReportingEmail": {
"type": "string"
},
"customTimeoutMode": {
"description": "Whether a custom timeout is set",
"type": "number",
"enum": [
0,
1
]
},
"customTimeoutValue": {
"description": "Amount of custom timeout",
"type": "number"
},
"type": {
"description": "Type of cronjob (server based, browser based, custom interpreter)",
"type": "string",
"enum": [
"SERVER",
"BROWSER",
"INTERPRETER"
]
},
"interval": {
"description": "Crontab interval",
"type": "array",
"items": {
"type": "string"
}
},
"status": {
"type": "number"
},
"file": {
"type": "string"
},
"params": {
"type": "string"
},
"url": {
"type": "string"
},
"interpreter": {
"type": "object",
"required": [
"hidden",
"name",
"type",
"uid"
],
"properties": {
"hidden": {
"type": "boolean"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"uid": {
"type": "number"
}
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string/cronjobs/string

On this page